Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Delete a specific DCF TLS profile by UUID.
cURL
curl -sk -X DELETE "https://<controller>/v2.5/api/dcf/tls-profile/{profile_uuid}" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/dcf/tls-profile/{profile_uuid}" headers = {"Authorization": "cid <CID>"} response = requests.delete(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("DELETE", "https://<controller>/v2.5/api/dcf/tls-profile/{profile_uuid}", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "message": "TLS profile with UUID 'f47ac10b-58cc-4372-a567-0e02b2c3d479' not found" }
{ "message": "TLS profile cannot be deleted as it is currently in use" }
{ "message": "Invalid TLS profile configuration" }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
The UUID of the TLS profile to delete
TLS profile deleted successfully
Was this page helpful?